package nckd.jxccl.sit.hcsi.formplugin.web.tp;

import kd.bos.entity.EntityType;
import kd.bos.list.BillList;

/**
 * SisurTempDataEntityTypeBillList 类，继承自 BillList
 * 用于处理临时数据实体类型账单列表
 */
public class SisurTempDataEntityTypeBillList extends BillList {

    // 实体类型属性
    private EntityType entityType;

    /**
     * 构造函数
     * @param entityType 实体类型对象
     */
    public SisurTempDataEntityTypeBillList(EntityType entityType) {
        this.entityType = entityType;
    }

    /**
     * 获取实体类型
     * 如果当前对象的 entityType 为 null，则返回父类的 entityType
     * @return 返回实体类型对象
     */
    public EntityType getEntityType() {
        super.getEntityType();
        return this.entityType == null ? super.getEntityType() : this.entityType;
    }

}
